<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.workOrder.home.title">Work Orders</span>
            </h5>          
            <p-dataTable
                [value]="workOrders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../work-order-new']">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                      name="currentSearch" placeholder="{{ 'mpmApp.workOrder.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.workOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.workOrder.vehicleNumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.vehicleNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.workOrder.customer'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.workOrder.mechanic'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.mechanicId">
                            <a [routerLink]="['../mechanic', rowData.mechanicId  ]" >{{rowData.mechanicName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.workOrder.vehicle'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.vehicleId">
                            <a [routerLink]="['../vehicle-identification', rowData.vehicleId  ]" >{{rowData.vehicleId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.workOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../work-order', rowData.idRequirement]"
                                icon="fa-eye"
                                class="ui-button-info"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['../work-order/'+ rowData.idRequirement + '/edit']"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idRequirement)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>

            
            <div class="col-md-4">
                <button type="button" class="btn btn-primary" (click)="editPkb = !editPkb">
                    <span>Edit PKB</span>
                </button>
                <button type="button" class="btn btn-primary" (click)="cancelPkb = !cancelPkb">
                    <span>Delete PKB</span>
                </button>
            </div>  
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

<p-dialog [(visible)]="editPkb" responsive="true" width="400" modal="true">
    <p-header>
        Ganti Mekanik
    </p-header>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">    
                <label class="form-control-label" for="field_">From</label>
                <input type="text" class="form-control" name="field_" id="field_" />
            </div>            
            <div class="form-group">    
                <label class="form-control-label" for="field_">To</label>
                <select class="form-control">
                    <option value="1">Mekanik B</option>
                </select>
            </div>       
        </div>        
    </div>

    <p-footer>
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="editPkb = !editPkb" >
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="button" class="btn btn-primary">
            <span class="fa fa-check"></span>&nbsp;<span>Ok</span>
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="cancelPkb" responsive="true" width="400" modal="true">
        <p-header>
            Konfirmasi
        </p-header>
    
        <div class="row">
            <div class="col-md-12">
                <p>Apakah anda yakin untuk Cancel WO WO-0015?</p>           
                <div class="form-group">    
                    <label class="form-control-label" for="field_">Input Alasan</label>
                    <textarea class="form-control"></textarea>
                </div>       
            </div>        
        </div>
    
        <p-footer>
            <button type="button" class="btn btn-default" data-dismiss="modal" (click)="cancelPkb = !cancelPkb" >
                <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
            </button>
            <button type="button" class="btn btn-primary">
                <span class="fa fa-check"></span>&nbsp;<span>Ok</span>
            </button>
        </p-footer>
    </p-dialog>